#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint twilio_chat_plugin.podspec' to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             =  'twilio_chat_plugin'
  s.version          =  '0.0.1'
  s.summary          =  'Flutter plugin for Twilio chat'
  s.description      =  <<-DESC
  s.dependency          'intl'
Flutter plugin for Twilio chat
                       DESC
  s.homepage         = 'http://example.com'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Krave Technology' => 'austin@krave.tech' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.dependency 'TwilioChatClient', '~> 3.0'
  s.platform = :ios, '11.0'

  # Flutter.framework does not contain a i386 slice. Only x86_64 simulators are supported.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'VALID_ARCHS[sdk=iphonesimulator*]' => 'x86_64' }
  s.swift_version = '5.0'
  s.preserve_paths = 'twilio_chat_plugin.framework'
  s.xcconfig = { 'OTHER_LDFLAGS' => '-framework twilio_chat_plugin' }
  s.vendored_frameworks = 'twilio_chat_plugin.framework'
end
